$(function () {
  
    $(".rsub").click(function () {
        checkreg();
    })
    var strongRegex = new RegExp("[a-zA-Z]");

    $(".tabbox td input#rusername").blur(function () {
        if ($(".tabbox td input#rusername").val() != "" && $(".tabbox td input#rusername").val().length >= 6) {

            if (!strongRegex.test($(".tabbox td input#rusername").val().substr(0, 1))) {
                $(".tabbox #is_ok").html("<span style='color:red'>* 用户名格式必须首字母英文</span>");
            } else {
                if (strongRegex.test($(".tabbox td input#rusername").val())) {
                    $.post("/admin/ajax/regexists.ashx", { run: $(".tabbox td input#rusername").val() }, function (data) {
                        if (data == "ok") {
                            $(".tabbox #is_ok").html("<span class='wtxt'>√ 可以注册</span>")
                        }
                        else {
                            $(".tabbox #is_ok").html("<span style='color:red'>× 已被注册</span>")
                            $(".tabbox td input#rusername").focus()
                        }
                    });
                } else {
                    $(".tabbox #is_ok").html("<span style='color:red'>* 用户名格式必须包含英文字母或数字</span>");
                }
            }
        }
        else {
            $(".tabbox #is_ok").html("<span style='color:red'>* 请输入长度6-9位,可输入英文字母或数字</span>");
        }
    });

    $(".tabbox td input#rpassword1").blur(function () {
        if ($(".tabbox td input#rpassword1").val() != "" && $(".tabbox td input#rpassword1").val().length >= 6) {
            if (strongRegex.test($(".tabbox td input#rpassword1").val())) {
                $(".tabbox #is_ok_password1").html("<span class='wtxt'>√</span>");
            } else {
                $(".tabbox #is_ok_password1").html("<span style='color:red'>* 您的密码强度太弱,建议英文加数字</span>");
            }
        } else {
            $(".tabbox #is_ok_password1").html("<span style='color:red'>* 密码规则:须为6-24位英文或数字的字符</span>");
        }
    });

    $(".tabbox td input#rpassword2").blur(function () {
        if ($(".tabbox td input#rpassword2").val() == $(".tabbox td input#rpassword1").val()) {
            $(".tabbox #is_ok_password2").html("<span class='wtxt'>√</span>");
        } else {
            $(".tabbox #is_ok_password2").html("<span style='color:red'>* 确认密码和密码输入的不一致</span>");
        }
    });


    $(".tabbox td input#rmyname").blur(function () {
        if ($(".tabbox td input#rmyname").val() != "") {

            if ($(".tabbox td input#rmyname").val().length < 2) {
                $(".tabbox #is_ok_name").html("<span style='color:red'>* 请输入正确的姓名</span>");
            } else {
                if (iszhcn($(".tabbox td input#rmyname").val()) == false) {
                    $(".tabbox #is_ok_name").html("<span style='color:red'>* 请输入中文姓名</span>");
                } else {
                    $(".tabbox #is_ok_name").html("<span class='wtxt'>√</span>");
                }
            }
        } else {
            $(".tabbox #is_ok_name").html("<span style='color:red'>* 请输入中文姓名</span>");
        }
    });

    $(".tabbox td input#rmyphone").blur(function () {
        if ($(".tabbox td input#rmyphone").val() != "") {
            if ($(".tabbox td input#rmyphone").val().length != 11) {
                $(".tabbox #is_ok_mobile").html("<span style='color:red'>* 请输入11位的手机号</span>");
            } else {
                if (checkMobile($(".tabbox td input#rmyphone").val()) == false) {
                    $(".tabbox #is_ok_mobile").html("<span style='color:red'>* 请输入正确的手机号</span>");
                } else {
                    $(".tabbox #is_ok_mobile").html("<span class='wtxt'>√</span>");
                }
            }
        } else {
            $(".tabbox #is_ok_mobile").html("<span style='color:red'>* 请输入正确手机号</span>");
        }
    });

    $(".tabbox td input#rqkpassword").blur(function () {
        if ($(".tabbox td input#rqkpassword").val() != "" && $(".tabbox td input#rqkpassword").val().length >= 4) {
            $(".tabbox #is_ok_qkPassword").html("<span class='wtxt'>√</span>");
        } else {
            $(".tabbox #is_ok_qkPassword").html("<span style='color:red'>* 请输入长度4-6位,提款认证必须，请务必记住</span>");
        }
    });
})

//是否是中文
function iszhcn(str) {
    var reg = /[\u4E00-\u9FA5\uF900-\uFA2D]/;
    return reg.test(str);
}

function showMsg(str) {
    $("#msg").fadeIn(200);
    $("#msg .msgalert").html(str);
    
}
function checkreg() {
    objusername = $(".tabbox td input#rusername");
    objpassword1 = $(".tabbox td input#rpassword1")
    objpassword2 = $(".tabbox td input#rpassword2")
 
    objaddress = $(".tabbox td input#regaddress");
   
    objmyname = $(".tabbox td input#rmyname");
    objmyphone = $(".tabbox td input#rmyphone")
    objrqkpwd = $(".tabbox td input#rqkpassword")
    if (objusername.val() == "") {
        showMsg("请输入帐号！")
        objusername.focus();
        return
    }
    if (objusername.val().length < 6) {
        showMsg("帐号长度是6-9位！")
        objusername.focus();
        return
    }
    if (objpassword1.val() == "") {
        showMsg("请输入密码！")
        objpassword1.focus()
        return
    }
    if (objpassword1.val().length < 6) {
        showMsg("密码长度是6-24位！")
        objpassword1.focus()
        return
    }
    if (objpassword2.val() == "") {
        showMsg("请再次输入密码！")
        objpassword2.focus()
        return
    }
    if (objpassword2.val() != objpassword1.val()) {
        showMsg("两次输入的密码不一致！")
        objpassword2.val("")
        objpassword1.val("")
        objpassword1.focus()
        return
    }
   
    //if(objcode.val()!=numyzm)
    //{
    //	showMsg("验证码输入错误！")
    //	objcode.focus()
    //	objcode.val("")
    //	return
    //}
    if (objmyname.val() == "") {
        showMsg("请输入真实姓名！")
        objmyname.focus()
        return
    }
    if (objmyname.val().length < 2) {
        showMsg("请输入正确的姓名！")
        objmyname.focus()
        return
    }
    if (iszhcn(objmyname.val()) == false) {
        showMsg("请输入中文姓名！")
        objmyname.val("")
        objmyname.focus()
        return
    }
    if (objmyphone.val() == "") {
        showMsg("请输入手机号！")
        objmyphone.focus()
        return
    }
    if (objmyphone.val().length != 11) {
        showMsg("请输入11位的手机号！")
        objmyphone.focus()
        return
    }
    if (checkMobile(objmyphone.val()) == false) {
        showMsg("请输入正确的手机号！")
        objmyphone.focus()
        return
    }
    if (objrqkpwd.val() == "") {
        showMsg("请输入取款密码！");
        objrqkpwd.focus()
        return
    }
    if (objrqkpwd.val().length < 4) {
        showMsg("取款密码长度最少4位！")
        objrqkpwd.focus()
        return
    }
    if (oneReg)
    {
        showMsg_only("正在提交注册信息…")
        oneReg = false;
        var fss = "";
        var fstype = false;
        if ($('#xsagent').prop('checked') == true)
        {
            fstype = $('#fstype1').val()
             fss = $('#fs_live1').val() + "," + $('#fs_game1').val() + "," + $('#fs_fish1').val() + "," + $('#fs_sport1').val() + "," + $('#fs_chess1').val() + "," + $('#fs_lottery1').val() + "," + $('#fs_sixlottery1').val();
        }

        $.post("/admin/ajax/register.ashx", { fstype: fstype, fss: fss, gusername: objusername.val(), gpassword: objpassword1.val(), gmyname: objmyname.val(), gmyphone: objmyphone.val(), gmyqkpwd: objrqkpwd.val(), gaddress: objaddress.val(), xsagent: $('#xsagent').prop('checked') }, function (data) {
            if (data == "ok") {
                alert("注册成功！")

                location.reload();
            }
            else {

                alert(data);
                
            }
            var oneReg = true;
        })
    }
}
var oneReg = true;

function checkMobile(str) {
    if (!(/^1[3|4|5|7|8][0-9]\d{4,8}$/.test(str))) {
        return false;
    } else {
        return true
    }
}

function showMsg_only(str) {
    $("#msg").fadeIn(200);
    $("#msg .msgalert").html(str);
}
function GetCookie(objname) {//获取指定名称的cookie的值
    var arrstr = document.cookie.split("; ");
    for (var i = 0; i < arrstr.length; i++) {
        var temp = arrstr[i].split("=");
        if (temp[0] == objname) return unescape(temp[1]);
    }
}